Subject: Re: bug#38529: Make --pure the default for `guix environment'?

From: Leo Famulari <[email-masked]>
Date: Sun, 8 Dec 2019 17:43:04 -0500

On Sun, Dec 08, 2019 at 04:42:07PM +0100, Pierre Neidhardt wrote:
> --pure seems to be the more sensible behaviour.  "Impure" environments
> can have unexpected behaviours, so it makes sense to only allow them
> when the user explicitly asks for it.

I don't have an opinion about this in general except that I think that
--ad-hoc should continue to work the way it does now, without --pure
being implied.